## console-bridge 0.2.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(console_bridge)

include(GNUInstallDirs)

if (NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

# If compiler support symbol visibility, enable it.
include(CheckCCompilerFlag)
check_c_compiler_flag(-fvisibility=hidden HAS_VISIBILITY)
if (HAS_VISIBILITY)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
endif()

find_package(Boost COMPONENTS system thread REQUIRED)

if(MSVC OR MSVC90 OR MSVC10)
  set(MSVC ON)
endif (MSVC OR MSVC90 OR MSVC10)

if(MSVC)
  add_definitions(-DBOOST_ALL_NO_LIB)
endif(MSVC)

include_directories(include)
include_directories(${Boost_INCLUDE_DIR})
link_directories(${Boost_LIBRARY_DIRS})

if(NOT DEFINED BUILD_SHARED_LIBS)
  option(BUILD_SHARED_LIBS "Build dynamically-linked binaries" ON)
endif()

add_library(${PROJECT_NAME} src/console.cpp)
target_link_libraries(${PROJECT_NAME} ${Boost_LIBRARIES})
set_target_properties(${PROJECT_NAME} PROPERTIES SOVERSION 0.2)

install(TARGETS ${PROJECT_NAME}
  DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(DIRECTORY include/
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
  FILES_MATCHING PATTERN "*.h")

set(PKG_NAME ${PROJECT_NAME})
set(PKG_LIBRARIES ${PROJECT_NAME})
set(cmake_conf_file "${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}-config.cmake")
configure_file("${cmake_conf_file}.in" "${CMAKE_BINARY_DIR}/${cmake_conf_file}" @ONLY)
install(FILES ${CMAKE_BINARY_DIR}/${cmake_conf_file}
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${PROJECT_NAME}/cmake/ COMPONENT cmake)

if (NOT MSVC)
  set(PKG_DESC "Console Bridge")
  set(PKG_CB_LIBS "-l${PROJECT_NAME}")
  set(pkg_conf_file "${CMAKE_CURRENT_SOURCE_DIR}/console_bridge.pc")
  configure_file("${pkg_conf_file}.in" "${CMAKE_BINARY_DIR}/${pkg_conf_file}" @ONLY)
  install(FILES ${CMAKE_BINARY_DIR}/${pkg_conf_file}
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/ COMPONENT pkgconfig)
endif()

SET_DIRECTORY_PROPERTIES(PROPERTIES
  ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_BINARY_DIR}/console_bridge-config.cmake
  ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_BINARY_DIR}/console_bridge.pc)

=== debian/changelog ===
console-bridge (0.2.5-2) unstable; urgency=low

  * Remove symbols support

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 15 Jan 2014 01:34:19 +0100

console-bridge (0.2.5-1) unstable; urgency=low

  * Import new upstream version 0.2.5 (Closes: #714760).

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 4 Dec 2013 00:45:15 +0100

=== debian/control ===
Source: console-bridge
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jose Luis Rivero <jrivero@osrfoundation.org>
Section: libs
Priority: extra
Build-Depends: debhelper (>= 9), cmake,
	       libboost-thread-dev,
	       libboost-system-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/console-bridge.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/console-bridge.git
Homepage: https://github.com/ros/console_bridge
XS-Testsuite: autopkgtest

Package: libconsole-bridge0.2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: console bridge - library
 ROS-independent, pure CMake (i.e. non-catkin and non-rosbuild
 package) that provides logging calls that mirror those found in
 rosconsole, but for applications that are not necessarily using ROS.
 .
 This package contains the dynamic library.

Package: libconsole-bridge-dev
Architecture: any
Section: libdevel
Depends: libboost-thread-dev,
	 libboost-system-dev,
	 libconsole-bridge0.2 (= ${binary:Version}),
	 pkg-config, ${misc:Depends}
Multi-Arch: same
Description: console bridge - development files
 ROS-independent, pure CMake (i.e. non-catkin and non-rosbuild
 package) that provides logging calls that mirror those found in
 rosconsole, but for applications that are not necessarily using ROS.
 .
 This package contains the development files (headers, pkg-config and
 CMake files).

Package: libconsole-bridge0.2-dbg
Architecture: any
Section: debug
Depends: libconsole-bridge0.2 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: console bridge - debugging symbols
 ROS-independent, pure CMake (i.e. non-catkin and non-rosbuild
 package) that provides logging calls that mirror those found in
 rosconsole, but for applications that are not necessarily using ROS.
 .
 This package contains the debugging symbols for the shared libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

.PHONY: override_dh_auto_clean override_dh_strip

%:
	dh  $@ --parallel

override_dh_auto_clean:
	rm -f console_bridge-config.cmake
	rm -f console_bridge.pc
	dh_auto_clean --

override_dh_strip:
	dh_strip -a --dbg-package=libconsole-bridge0.2-dbg

## console-bridge 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(console_bridge)

set (CONSOLE_BRIDGE_MAJOR_VERSION 0)
set (CONSOLE_BRIDGE_MINOR_VERSION 3)
set (CONSOLE_BRIDGE_PATCH_VERSION 0)

set (CONSOLE_BRIDGE_VERSION ${CONSOLE_BRIDGE_MAJOR_VERSION}.${CONSOLE_BRIDGE_MINOR_VERSION}.${CONSOLE_BRIDGE_PATCH_VERSION})
message (STATUS "${PROJECT_NAME} version ${CONSOLE_BRIDGE_VERSION}")

include(GNUInstallDirs)

if (NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

# If compiler support symbol visibility, enable it.
include(CheckCCompilerFlag)
check_c_compiler_flag(-fvisibility=hidden HAS_VISIBILITY)
if (HAS_VISIBILITY)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
endif()

if(NOT WIN32)
  # Use c++11 compiler flag, since it's needed for console.cpp
  # It isn't in a header file, so it doesn't need to be exported
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Wextra")
endif()

if(MSVC OR MSVC90 OR MSVC10)
  set(MSVC ON)
endif (MSVC OR MSVC90 OR MSVC10)

include_directories(include)

if(NOT DEFINED BUILD_SHARED_LIBS)
  option(BUILD_SHARED_LIBS "Build dynamically-linked binaries" ON)
endif()

add_library(${PROJECT_NAME} src/console.cpp)
set_target_properties(${PROJECT_NAME} PROPERTIES SOVERSION
               ${CONSOLE_BRIDGE_MAJOR_VERSION}.${CONSOLE_BRIDGE_MINOR_VERSION})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

install(DIRECTORY include/
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
  FILES_MATCHING PATTERN "*.h")

set(PKG_NAME ${PROJECT_NAME})
set(PKG_LIBRARIES ${PROJECT_NAME})
set(cmake_conf_file "${PROJECT_NAME}-config.cmake")
configure_file("${cmake_conf_file}.in" "${CMAKE_BINARY_DIR}/${cmake_conf_file}" @ONLY)
set(cmake_conf_version_file "${PROJECT_NAME}-config-version.cmake")
# Use write_basic_package_version_file to generate a ConfigVersion file that
# allow users of gazebo to specify the API or version to depend on
# TODO: keep this instruction until deprecate Ubuntu/Precise and update with
# https://github.com/Kitware/CMake/blob/v2.8.8/Modules/CMakePackageConfigHelpers.cmake
include(WriteBasicConfigVersionFile)
write_basic_config_version_file(
  ${CMAKE_CURRENT_BINARY_DIR}/${cmake_conf_version_file}
  VERSION "${CONSOLE_BRIDGE_VERSION}"
  COMPATIBILITY SameMajorVersion)

if(WIN32 AND NOT CYGWIN)
  set(CMAKE_CONFIG_INSTALL_DIR CMake)
else()
  set(CMAKE_CONFIG_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}/cmake/)
endif()
install(FILES
        "${CMAKE_BINARY_DIR}/${cmake_conf_file}"
        "${CMAKE_BINARY_DIR}/${cmake_conf_version_file}"
  DESTINATION ${CMAKE_CONFIG_INSTALL_DIR} COMPONENT cmake)

if (NOT MSVC)
  set(PKG_DESC "Console Bridge")
  set(PKG_CB_LIBS "-l${PROJECT_NAME}")
  set(pkg_conf_file "console_bridge.pc")
  configure_file("${pkg_conf_file}.in" "${CMAKE_BINARY_DIR}/${pkg_conf_file}" @ONLY)
  install(FILES "${CMAKE_BINARY_DIR}/${pkg_conf_file}"
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/ COMPONENT pkgconfig)
endif()

SET_DIRECTORY_PROPERTIES(PROPERTIES
  ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_BINARY_DIR}/console_bridge-config.cmake
  ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_BINARY_DIR}/console_bridge.pc)

=== debian/changelog ===
console-bridge (0.3.0-3) unstable; urgency=medium

  * Include cmake module in -dev package
    Patch by Jochen Sprickerhof <debian-bts@jochen.sprickerhof.de>
    (Closes: #812083)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 20 Jan 2016 23:13:17 +0000

console-bridge (0.3.0-2) unstable; urgency=medium

  * Fix package name lost in update by using a symlink libconsole-bridge0.2
  * Patch to implement 0.2 ABI and keep the 0.3 library installed
    (Closes: #811498)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 20 Jan 2016 17:27:35 +0100

console-bridge (0.3.0-1) unstable; urgency=medium

  * Imported Upstream version 0.3.0
    No real ABI change from 0.2 to 0.3 so keep the same
    package names.
  * Don't need boost anymore
  * Remove patches merged upstream

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 15 Jan 2016 20:26:51 +0000

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
            Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: libs
 Priority: extra
-Build-Depends: debhelper (>= 9), cmake,
-	       libboost-thread-dev,
-	       libboost-system-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9),
+               dh-exec (>=0.3),
+               cmake
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/console-bridge.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/console-bridge.git
 Homepage: https://github.com/ros/console_bridge
 XS-Testsuite: autopkgtest
 
-Package: libconsole-bridge0.2
+Package: libconsole-bridge0.2v5
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -28,9 +28,7 @@
 Package: libconsole-bridge-dev
 Architecture: any
 Section: libdevel
-Depends: libboost-thread-dev,
-	 libboost-system-dev,
-	 libconsole-bridge0.2 (= ${binary:Version}),
+Depends: libconsole-bridge0.2v5 (= ${binary:Version}),
 	 pkg-config, ${misc:Depends}
 Multi-Arch: same
 Description: console bridge - development files
@@ -41,10 +39,10 @@
  This package contains the development files (headers, pkg-config and
  CMake files).
 
-Package: libconsole-bridge0.2-dbg
+Package: libconsole-bridge0.2v5-dbg
 Architecture: any
 Section: debug
-Depends: libconsole-bridge0.2 (= ${binary:Version}),
+Depends: libconsole-bridge0.2v5 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Description: console bridge - debugging symbols

## console-bridge 0.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -88,3 +88,6 @@
 SET_DIRECTORY_PROPERTIES(PROPERTIES
   ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_BINARY_DIR}/console_bridge-config.cmake
   ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_BINARY_DIR}/console_bridge.pc)
+
+enable_testing()
+add_subdirectory(test)

=== test/CMakeLists.txt ===
include_directories (
  ${PROJECT_SOURCE_DIR}/test/gtest/include
  ${PROJECT_SOURCE_DIR}/test/gtest
  ${PROJECT_SOURCE_DIR}/test
)

link_directories(
  ${PROJECT_BINARY_DIR}/test
)


# Build gtest
add_library(gtest STATIC gtest/src/gtest-all.cc)
add_library(gtest_main STATIC gtest/src/gtest_main.cc)
target_link_libraries(gtest_main gtest)

execute_process(COMMAND cmake -E remove_directory ${CMAKE_BINARY_DIR}/test_results)
execute_process(COMMAND cmake -E make_directory ${CMAKE_BINARY_DIR}/test_results)
include_directories(${GTEST_INCLUDE_DIRS})

set(tests
     console_TEST.cc)

if (NOT MSVC)
  set_source_files_properties(console_TEST.cc PROPERTIES COMPILE_FLAGS
                                 -Wno-deprecated-declarations)
endif()

#################################################
# Build all the tests
foreach(GTEST_SOURCE_file ${tests})
  string(REGEX REPLACE ".cc" "" BINARY_NAME ${GTEST_SOURCE_file})
  add_executable(${BINARY_NAME} ${GTEST_SOURCE_file})

  add_dependencies(${BINARY_NAME}
      console_bridge
      gtest
      gtest_main)

  target_link_libraries(${BINARY_NAME}
     gtest_main
     gtest
     console_bridge)
  if (UNIX)
    target_link_libraries(${BINARY_NAME} pthread)
  endif()

   add_test(${BINARY_NAME} ${CMAKE_CURRENT_BINARY_DIR}/${BINARY_NAME}
       --gtest_output=xml:${CMAKE_BINARY_DIR}/test_results/${BINARY_NAME}.xml)

   set_tests_properties(${BINARY_NAME} PROPERTIES TIMEOUT 240)
endforeach()

=== debian/changelog ===
console-bridge (0.3.2-1) unstable; urgency=medium

  * Imported Upstream version 0.3.2
    (Closes: #812297)
  * Declare Replaces+Break on libconsole-bridge0.2
    (Closes: #813177)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 04 Feb 2016 01:17:30 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Priority: extra
 Build-Depends: debhelper (>= 9),
                dh-exec (>=0.3),
-               cmake
+               cmake,
+               libgtest-dev
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/console-bridge.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/console-bridge.git
@@ -18,6 +19,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
+Replaces: libconsole-bridge0.2
+Breaks: libconsole-bridge0.2
 Description: console bridge - library
  ROS-independent, pure CMake (i.e. non-catkin and non-rosbuild
  package) that provides logging calls that mirror those found in

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,4 @@
 	dh_auto_clean --
 
 override_dh_strip:
-	dh_strip -a --dbg-package=libconsole-bridge0.2-dbg
+	dh_strip -a --dbg-package=libconsole-bridge0.2v5-dbg

=== debian/tests/control ===
Tests: build
Depends: libconsole-bridge-dev, build-essential

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/<project>-$1.tar.gz/ \
  https://github.com/ros/console_bridge/tags .*/v?(\d[\d\.]+)\.tar\.gz

## console-bridge 0.4.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,15 @@
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 2.8.6)
 project(console_bridge)
 
 set (CONSOLE_BRIDGE_MAJOR_VERSION 0)
-set (CONSOLE_BRIDGE_MINOR_VERSION 3)
+set (CONSOLE_BRIDGE_MINOR_VERSION 4)
 set (CONSOLE_BRIDGE_PATCH_VERSION 0)
 
 set (CONSOLE_BRIDGE_VERSION ${CONSOLE_BRIDGE_MAJOR_VERSION}.${CONSOLE_BRIDGE_MINOR_VERSION}.${CONSOLE_BRIDGE_PATCH_VERSION})
 message (STATUS "${PROJECT_NAME} version ${CONSOLE_BRIDGE_VERSION}")
 
 include(GNUInstallDirs)
+include(GenerateExportHeader)
 
 if (NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE Release)
@@ -27,21 +28,31 @@
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Wextra")
 endif()
 
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${EXTRA_CMAKE_CXX_FLAGS}")
+
 if(MSVC OR MSVC90 OR MSVC10)
   set(MSVC ON)
 endif (MSVC OR MSVC90 OR MSVC10)
 
-include_directories(include)
+include_directories(include ${PROJECT_BINARY_DIR})
 
 if(NOT DEFINED BUILD_SHARED_LIBS)
   option(BUILD_SHARED_LIBS "Build dynamically-linked binaries" ON)
 endif()
 
+# Control where libraries and executables are placed during the build
+set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_BINDIR}")
+set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}")
+set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}")
+
 add_library(${PROJECT_NAME} src/console.cpp)
 set_target_properties(${PROJECT_NAME} PROPERTIES SOVERSION
                ${CONSOLE_BRIDGE_MAJOR_VERSION}.${CONSOLE_BRIDGE_MINOR_VERSION})
+generate_export_header(${PROJECT_NAME}
+    EXPORT_MACRO_NAME CONSOLE_BRIDGE_DLLAPI)
 
 install(TARGETS ${PROJECT_NAME}
+  EXPORT ${PROJECT_NAME}-targets 
   ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
   LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
   RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
@@ -51,10 +62,24 @@
   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
   FILES_MATCHING PATTERN "*.h")
 
+install(FILES ${PROJECT_BINARY_DIR}/${PROJECT_NAME}_export.h
+  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
+
+if(WIN32 AND NOT CYGWIN)
+  set(CMAKE_CONFIG_INSTALL_DIR CMake)
+else()
+  set(CMAKE_CONFIG_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}/cmake/)
+endif()
+
+include(CMakePackageConfigHelpers)
 set(PKG_NAME ${PROJECT_NAME})
 set(PKG_LIBRARIES ${PROJECT_NAME})
 set(cmake_conf_file "${PROJECT_NAME}-config.cmake")
-configure_file("${cmake_conf_file}.in" "${CMAKE_BINARY_DIR}/${cmake_conf_file}" @ONLY)
+configure_package_config_file("${cmake_conf_file}.in" "${CMAKE_BINARY_DIR}/${cmake_conf_file}"
+                              INSTALL_DESTINATION ${CMAKE_CONFIG_INSTALL_DIR}
+                              PATH_VARS CMAKE_INSTALL_FULL_INCLUDEDIR
+                              NO_SET_AND_CHECK_MACRO
+                              NO_CHECK_REQUIRED_COMPONENTS_MACRO)
 set(cmake_conf_version_file "${PROJECT_NAME}-config-version.cmake")
 # Use write_basic_package_version_file to generate a ConfigVersion file that
 # allow users of gazebo to specify the API or version to depend on
@@ -66,11 +91,9 @@
   VERSION "${CONSOLE_BRIDGE_VERSION}"
   COMPATIBILITY SameMajorVersion)
 
-if(WIN32 AND NOT CYGWIN)
-  set(CMAKE_CONFIG_INSTALL_DIR CMake)
-else()
-  set(CMAKE_CONFIG_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}/cmake/)
-endif()
+install(EXPORT ${PROJECT_NAME}-targets
+  FILE ${PROJECT_NAME}-targets.cmake
+  DESTINATION ${CMAKE_CONFIG_INSTALL_DIR})
 install(FILES
         "${CMAKE_BINARY_DIR}/${cmake_conf_file}"
         "${CMAKE_BINARY_DIR}/${cmake_conf_version_file}"

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -21,11 +21,6 @@
 set(tests
      console_TEST.cc)
 
-if (NOT MSVC)
-  set_source_files_properties(console_TEST.cc PROPERTIES COMPILE_FLAGS
-                                 -Wno-deprecated-declarations)
-endif()
-
 #################################################
 # Build all the tests
 foreach(GTEST_SOURCE_file ${tests})
@@ -41,12 +36,13 @@
      gtest_main
      gtest
      console_bridge)
-  if (UNIX)
+  if (UNIX AND NOT ANDROID)
     target_link_libraries(${BINARY_NAME} pthread)
   endif()
 
-   add_test(${BINARY_NAME} ${CMAKE_CURRENT_BINARY_DIR}/${BINARY_NAME}
-       --gtest_output=xml:${CMAKE_BINARY_DIR}/test_results/${BINARY_NAME}.xml)
+   add_test(NAME    ${BINARY_NAME}
+            COMMAND ${BINARY_NAME}
+                    --gtest_output=xml:${CMAKE_BINARY_DIR}/test_results/${BINARY_NAME}.xml)
 
    set_tests_properties(${BINARY_NAME} PROPERTIES TIMEOUT 240)
 endforeach()

=== debian/changelog ===
console-bridge (0.4.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 24 Feb 2018 12:15:10 +0000

console-bridge (0.4.0+dfsg-1) experimental; urgency=medium

  * New upstream version
  * Added support for repacking source and remove local gtest
  * New upstream version 0.4.0+dfsg

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 06 Feb 2018 06:41:18 +0000

=== debian/control ===
Source: console-bridge
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jose Luis Rivero <jrivero@osrfoundation.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-exec (>=0.3),
               cmake,
               libgtest-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/console-bridge
Vcs-Git: https://salsa.debian.org/science-team/console-bridge.git
Homepage: https://github.com/ros/console_bridge

Package: libconsole-bridge0.4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: console bridge - library
 ROS-independent, pure CMake (i.e. non-catkin and non-rosbuild
 package) that provides logging calls that mirror those found in
 rosconsole, but for applications that are not necessarily using ROS.
 .
 This package contains the dynamic library.

Package: libconsole-bridge-dev
Architecture: any
Section: libdevel
Depends: libconsole-bridge0.4 (= ${binary:Version}),
	 pkg-config, ${misc:Depends}
Multi-Arch: same
Description: console bridge - development files
 ROS-independent, pure CMake (i.e. non-catkin and non-rosbuild
 package) that provides logging calls that mirror those found in
 rosconsole, but for applications that are not necessarily using ROS.
 .
 This package contains the development files (headers, pkg-config and
 CMake files).

=== debian/watch ===
version=3

opts=dversionmangle=s/$/+dfsg/,filenamemangle=s/.+\/v?(.*)\.tar\.gz/<project>-$1+dfsg.tar.gz/ \
  https://github.com/ros/console_bridge/tags .*/v?(\d[\d\.]+)\.tar\.gz

## console-bridge 0.4.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 set (CONSOLE_BRIDGE_MAJOR_VERSION 0)
 set (CONSOLE_BRIDGE_MINOR_VERSION 4)
-set (CONSOLE_BRIDGE_PATCH_VERSION 0)
+set (CONSOLE_BRIDGE_PATCH_VERSION 2)
 
 set (CONSOLE_BRIDGE_VERSION ${CONSOLE_BRIDGE_MAJOR_VERSION}.${CONSOLE_BRIDGE_MINOR_VERSION}.${CONSOLE_BRIDGE_PATCH_VERSION})
 message (STATUS "${PROJECT_NAME} version ${CONSOLE_BRIDGE_VERSION}")
@@ -13,6 +13,10 @@
 
 if (NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE Release)
+endif()
+
+if(POLICY CMP0042)
+  cmake_policy(SET CMP0042 NEW)
 endif()
 
 # If compiler support symbol visibility, enable it.

=== debian/changelog ===
console-bridge (0.4.2+dfsg-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Jose Luis Rivero ]
  * New upstream version 0.4.2+dfsg

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 04 Jan 2019 17:09:29 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

.PHONY: override_dh_auto_clean \
        get-orig-source

override_dh_auto_clean:
	rm -f console_bridge-config.cmake
	rm -f console_bridge.pc
	dh_auto_clean --

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

%:
	dh  $@ --buildsystem=cmake

## console-bridge 0.4.3+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 set (CONSOLE_BRIDGE_MAJOR_VERSION 0)
 set (CONSOLE_BRIDGE_MINOR_VERSION 4)
-set (CONSOLE_BRIDGE_PATCH_VERSION 2)
+set (CONSOLE_BRIDGE_PATCH_VERSION 3)
 
 set (CONSOLE_BRIDGE_VERSION ${CONSOLE_BRIDGE_MAJOR_VERSION}.${CONSOLE_BRIDGE_MINOR_VERSION}.${CONSOLE_BRIDGE_PATCH_VERSION})
 message (STATUS "${PROJECT_NAME} version ${CONSOLE_BRIDGE_VERSION}")
@@ -97,6 +97,7 @@
 
 install(EXPORT ${PROJECT_NAME}-targets
   FILE ${PROJECT_NAME}-targets.cmake
+  NAMESPACE ${PROJECT_NAME}::
   DESTINATION ${CMAKE_CONFIG_INSTALL_DIR})
 install(FILES
         "${CMAKE_BINARY_DIR}/${cmake_conf_file}"

=== debian/changelog ===
console-bridge (0.4.3+dfsg-1) unstable; urgency=medium

  * Update standards 4.2.1
  * New upstream version 0.4.3+dfsg

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 09 Jan 2019 17:12:00 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-exec (>=0.3),
                cmake,
                libgtest-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/science-team/console-bridge
 Vcs-Git: https://salsa.debian.org/science-team/console-bridge.git
 Homepage: https://github.com/ros/console_bridge

=== debian/watch ===
version=3
opts=repack,repacksuffix=+dfsg,compression=xz,dversionmangle=s/\+dfsg// \
  https://github.com/ros/console_bridge/tags .*/v?(\d[\d\.]+)\.tar\.gz

## console-bridge 0.4.4%2Bdfsg

=== debian/changelog ===
console-bridge (0.4.4+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:11:52 +0100

console-bridge (0.4.4+dfsg-1) unstable; urgency=medium

  * New upstream version 0.4.4+dfsg

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 10 Jan 2020 15:59:30 +0000

## console-bridge 0.4.4+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 set (CONSOLE_BRIDGE_MAJOR_VERSION 0)
 set (CONSOLE_BRIDGE_MINOR_VERSION 4)
-set (CONSOLE_BRIDGE_PATCH_VERSION 3)
+set (CONSOLE_BRIDGE_PATCH_VERSION 4)
 
 set (CONSOLE_BRIDGE_VERSION ${CONSOLE_BRIDGE_MAJOR_VERSION}.${CONSOLE_BRIDGE_MINOR_VERSION}.${CONSOLE_BRIDGE_PATCH_VERSION})
 message (STATUS "${PROJECT_NAME} version ${CONSOLE_BRIDGE_VERSION}")

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,3 @@
-include_directories (
-  ${PROJECT_SOURCE_DIR}/test/gtest/include
-  ${PROJECT_SOURCE_DIR}/test/gtest
-  ${PROJECT_SOURCE_DIR}/test
-)
-
 link_directories(
   ${PROJECT_BINARY_DIR}/test
 )
@@ -11,12 +5,18 @@
 
 # Build gtest
 add_library(gtest STATIC gtest/src/gtest-all.cc)
+target_include_directories(gtest
+  PUBLIC
+  ${PROJECT_SOURCE_DIR}/test/gtest/include
+  ${PROJECT_SOURCE_DIR}/test/gtest
+  ${PROJECT_SOURCE_DIR}/test
+)
+
 add_library(gtest_main STATIC gtest/src/gtest_main.cc)
 target_link_libraries(gtest_main gtest)
 
 execute_process(COMMAND cmake -E remove_directory ${CMAKE_BINARY_DIR}/test_results)
 execute_process(COMMAND cmake -E make_directory ${CMAKE_BINARY_DIR}/test_results)
-include_directories(${GTEST_INCLUDE_DIRS})
 
 set(tests
      console_TEST.cc)

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-exec (>=0.3),
                cmake,
                libgtest-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/console-bridge
 Vcs-Git: https://salsa.debian.org/science-team/console-bridge.git
 Homepage: https://github.com/ros/console_bridge

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,5 @@
 	rm -f console_bridge.pc
 	dh_auto_clean --
 
-get-orig-source:
-	uscan --verbose --force-download --repack --compress xz
-
 %:
 	dh  $@ --buildsystem=cmake

## console-bridge 1.0.1+dfsg2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-cmake_minimum_required(VERSION 2.8.6)
+cmake_minimum_required(VERSION 3.0.2)
 project(console_bridge)
 
-set (CONSOLE_BRIDGE_MAJOR_VERSION 0)
-set (CONSOLE_BRIDGE_MINOR_VERSION 4)
-set (CONSOLE_BRIDGE_PATCH_VERSION 4)
+set (CONSOLE_BRIDGE_MAJOR_VERSION 1)
+set (CONSOLE_BRIDGE_MINOR_VERSION 0)
+set (CONSOLE_BRIDGE_PATCH_VERSION 1)
 
 set (CONSOLE_BRIDGE_VERSION ${CONSOLE_BRIDGE_MAJOR_VERSION}.${CONSOLE_BRIDGE_MINOR_VERSION}.${CONSOLE_BRIDGE_PATCH_VERSION})
 message (STATUS "${PROJECT_NAME} version ${CONSOLE_BRIDGE_VERSION}")
@@ -38,7 +38,6 @@
   set(MSVC ON)
 endif (MSVC OR MSVC90 OR MSVC10)
 
-include_directories(include ${PROJECT_BINARY_DIR})
 
 if(NOT DEFINED BUILD_SHARED_LIBS)
   option(BUILD_SHARED_LIBS "Build dynamically-linked binaries" ON)
@@ -52,11 +51,15 @@
 add_library(${PROJECT_NAME} src/console.cpp)
 set_target_properties(${PROJECT_NAME} PROPERTIES SOVERSION
                ${CONSOLE_BRIDGE_MAJOR_VERSION}.${CONSOLE_BRIDGE_MINOR_VERSION})
+target_include_directories(${PROJECT_NAME} PUBLIC
+	$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
+	$<BUILD_INTERFACE:${CMAKE_BINARY_DIR}>
+	$<INSTALL_INTERFACE:include>)
 generate_export_header(${PROJECT_NAME}
     EXPORT_MACRO_NAME CONSOLE_BRIDGE_DLLAPI)
 
 install(TARGETS ${PROJECT_NAME}
-  EXPORT ${PROJECT_NAME}-targets 
+  EXPORT ${PROJECT_NAME}-targets
   ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
   LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
   RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
@@ -117,5 +120,7 @@
   ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_BINARY_DIR}/console_bridge-config.cmake
   ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_BINARY_DIR}/console_bridge.pc)
 
-enable_testing()
-add_subdirectory(test)
+if(BUILD_TESTING)
+  enable_testing()
+  add_subdirectory(test)
+endif()

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -46,3 +46,44 @@
 
    set_tests_properties(${BINARY_NAME} PROPERTIES TIMEOUT 240)
 endforeach()
+
+find_package(PythonInterp 3 REQUIRED)
+
+if(NOT PYTHONINTERP_FOUND)
+  message(WARNING "No PythonInterp found. Linters will not be executed")
+  return()
+endif()
+
+find_program(WGET_EXE wget)
+if(WGET_EXE)
+  message(STATUS "Found WGet: ${WGET_EXE}")
+  add_custom_target(wget_cppcheck
+                    COMMAND ${WGET_EXE} -q -O cppcheck.py https://raw.githubusercontent.com/ament/ament_lint/master/ament_cppcheck/ament_cppcheck/main.py
+  )
+
+  add_test(NAME console_bridge_cppcheck
+           COMMAND "${PYTHON_EXECUTABLE}"
+                   "cppcheck.py"
+                   "--language=c++" "${PROJECT_SOURCE_DIR}/src" "${PROJECT_SOURCE_DIR}/include"
+  )
+
+  add_custom_target(wget_cpplint
+                    COMMAND wget -q -O cpplint.py https://raw.githubusercontent.com/ament/ament_lint/master/ament_cpplint/ament_cpplint/cpplint.py
+  )
+
+  add_test(NAME console_bridge_cpplint
+           COMMAND "${PYTHON_EXECUTABLE}"
+                   "cpplint.py"
+                   "--counting=detailed"
+                   "--extensions=cpp,h"
+                   "--linelength=100"
+                   "--filter=-build/c++11,-runtime/references,-whitespace/braces,-whitespace/indent,-whitespace/parens,-whitespace/semicolon"
+           "${PROJECT_SOURCE_DIR}/include/console_bridge/console.h"
+           "${PROJECT_SOURCE_DIR}/src/console.cpp"
+  )
+
+  add_dependencies(console_bridge wget_cppcheck wget_cpplint)
+
+else()
+  message(WARNING "wget not found. Linters will not be executed")
+endif()

=== debian/changelog ===
console-bridge (1.0.1+dfsg2-4) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Set upstream metadata fields: Repository.

  [ Timo Röhling ]
  * Bump Standards-Version to 4.7.2
  * Bump cmake_minimum_required to 3.20 (Closes: #1112807)

 -- Timo Röhling <roehling@debian.org>  Tue, 09 Sep 2025 11:00:29 +0200

console-bridge (1.0.1+dfsg2-3) unstable; urgency=medium

  * Move to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 11 Oct 2021 15:02:16 +0000

console-bridge (1.0.1+dfsg2-2) experimental; urgency=medium

  * Add debian/gitlab-ci.yml
  * New upstream version 1.0.1+dfsg
  * Prepare 1.0.1 in experimental
  * Update library name
  * Update watch version
  * Update debhelper and standards
  * Use libconsole-bridge1.0 as package name to match SONAME
  * Remove compat file since we are using debhelper-compat
  * Include .github directory in ignores
  * Update standards to 4.5.1
  * New release version in changelog
  * Update changelog
  * Drop Thomas from Uploaders
  * Add Rules-Requires-Root
  * Drop pkg-config dependency from -dev file
  * Add entries to debian/docs file
  * Mve clean from d/rules to d/clean
  * Clean up rules file: remove PHONY and buildsystem=cmake
  * Include copyright for console_TEST file

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 28 May 2021 13:59:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: console-bridge
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jose Luis Rivero <jrivero@osrfoundation.org>
+Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-exec (>=0.3),
                cmake,
                libgtest-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/console-bridge
 Vcs-Git: https://salsa.debian.org/science-team/console-bridge.git
 Homepage: https://github.com/ros/console_bridge
 
-Package: libconsole-bridge0.4
+Package: libconsole-bridge1.0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -28,8 +28,8 @@
 Package: libconsole-bridge-dev
 Architecture: any
 Section: libdevel
-Depends: libconsole-bridge0.4 (= ${binary:Version}),
-	 pkg-config, ${misc:Depends}
+Depends: libconsole-bridge1.0 (= ${binary:Version}),
+	 ${misc:Depends}
 Multi-Arch: same
 Description: console bridge - development files
  ROS-independent, pure CMake (i.e. non-catkin and non-rosbuild

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh  $@

=== debian/tests/control ===
Tests: build
Depends: libconsole-bridge-dev, build-essential, pkg-config

=== debian/watch ===
version=4
opts=repack,repacksuffix=+dfsg,compression=xz,dversionmangle=s/\+dfsg// \
  https://github.com/ros/console_bridge/tags .*/v?(\d[\d\.]+)\.tar\.gz
